Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 320055 - x11-base/xorg-server-1.8.1: random crashes (regression compared to 1.8.0)
Summary: x11-base/xorg-server-1.8.1: random crashes (regression compared to 1.8.0)
Status: RESOLVED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High critical (vote)
Assignee: Gentoo X packagers
URL: https://bugs.freedesktop.org/show_bug...
Whiteboard:
Keywords:
: 320629 324647 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-05-16 21:28 UTC by lxg
Modified: 2010-10-10 06:23 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
dmesg after X crash (dmesg_aftercrash.txt,36.69 KB, text/plain)
2010-05-19 19:49 UTC, lxg
Details
Xorg.0.log after X crash (xorg0log_aftercrash.txt,54.36 KB, text/plain)
2010-05-19 19:50 UTC, lxg
Details
Xorg.0.log after crash, with backtrace (Xorg.0.log.old,33.15 KB, text/plain)
2010-05-26 10:48 UTC, Guillaume Ayoub
Details
dmesg after boot (dmesg.log,49.76 KB, text/plain)
2010-06-29 19:04 UTC, Marco Napetti
Details
Xorg revert patch, reverting commit 22da7aa (xorg.patch,3.01 KB, patch)
2010-06-29 20:28 UTC, Guillaume Ayoub
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lxg 2010-05-16 21:28:32 UTC
Today, I updated to 1.8.1, and when I logged in through KDM, after a few seconds, the screen went black for a moment and the KDM login screen appeared again (just like somebody had pressed Ctrl+Alt+Backspace). This happened multiple times.

This behaviour is reproducible, but I cannot really say, which is the determining factor:
- When I started Konqueror or Kdevelop, it crashed -- a few seconds after the application was started.
- When I only used (the auto-started) Yakuake, nothing happened, I was able to work.
- When, after working a couple of minutes with Yakuake, I tried to start Konqueror or Kdevelop again, it crashed after a few seconds.

This could indicate that it doesn't depend on the time xdm is already running, but it seems that the system triggers an action or crosses some (load?) boundary.


I did a revdep-rebuild and re-emerged xorg-server, but to no avail. However, I have the feeling, that I could use Konqueror after the xorg-server re-emerge, but it still happened on Kdevelop ... but this could as well be coincidence.

I have been running on xorg-server 1.8.0 without any problems.

Xorg.0.log doesn't show anything strange.

Reproducible: Always

Steps to Reproduce:




lab ~ # emerge -pv xorg-server

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] x11-base/xorg-server-1.8.1  USE="ipv6 nptl udev xorg -dmx -doc -hal -kdrive -minimal -static-libs -tslib" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB






lab ~ # emerge --info
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.4.3, glibc-2.11.1-r0, 2.6.33-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-r2-x86_64-Intel-R-_Core-TM-_i7_CPU_960_@_3.20GHz-with-gentoo-2.0.1
Timestamp of tree: Sun, 16 May 2010 12:45:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p5
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.3.4, 4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -msse4 -mcx16 -msahf -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -msse4 -mcx16 -msahf -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://mirror.netcologne.de/gentoo/ http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.de.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi aiglx alsa amd64 arts avi bash-completion berkdb bluetooth branding bzip2 cairo cdr cli consolekit cracklib crypt cups cxx dbus dri dri2 dts dv dvb dvd dvdr dvdread emboss encode exif fam fame ffmpeg firefox flac foomaticdb fortran gdbm gif gpm gtk gtk2 hal iconv imlib ipv6 jpeg kde lcms libnotify mad matroska mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pango pcre pdf perl png ppds pppd python qt qt3support qt4 readline reflection sdl session spell spl sse sse2 ssl subversion svg sysfs tcpd theora tiff truetype unicode usb userlocales v4l2 vlm vorbis win64codecs x264 xcb xinerama xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeonhd radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 lxg 2010-05-18 19:57:55 UTC
2 important updates on this issue:

1. This seems to happen only with Qt/KDE applications. I was able to use Gimp and Firefox for minutes, doing random stuff and creating some load, and nothing happened. Then I opened Konqueror, and 15 seconds later X/KDE crashed.

2. Downgrading to xorg-server-1.8.0 got my system stable again. Writing this in Konqueror. :)
Comment 2 Andreas K. Hüttel gentoo-dev 2010-05-18 20:07:58 UTC
OK, reassigning to x11 herd, but keeping kde cc
Comment 3 Michiel de Bruijne 2010-05-18 22:05:41 UTC
Same over here.

If I use x11-base/xorg-server-1.8.1 without compositing then everything is stable, but as soon as compositing is enabled KDM constantely restarts.

With x11-base/xorg-server-1.8.0 everything is stable no matter if compositing is enabled or not.


emerge --info
Portage 2.2_rc67 (default/linux/amd64/10.0, gcc-4.4.3, glibc-2.11.1-r0, 2.6.33-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-r2-x86_64-Intel-R-_Core-TM-2_CPU_T7600_@_2.33GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 18 May 2010 04:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     4.1_p5
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-python/pycrypto: 2.1.0
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.8.1-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1                                                                                                                                               
sys-apps/sandbox:    2.2                                                                                                                                                    
sys-devel/autoconf:  2.13, 2.65                                                                                                                                             
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1                                                                                                                     
sys-devel/binutils:  2.20.1-r1                                                                                                                                              
sys-devel/gcc:       4.4.3-r2                                                                                                                                               
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--noconfmem --jobs 2 --keep-going --with-bdeps=y"
FEATURES="assume-digests ccache distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.snt.utwente.nl/pub/linux/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/ftd4linux /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="32bit 64bit X a52 aac aalib accessibility acl acpi addbookmarks addns addressbook adns ads agg aio akonadi alias alisp alsa amazon amd64 amr ao apache2 archive ares asf aspell ass assistant asyncns atmo audio auth automount autoreplace autotrace bash-completion berkdb bittorrent bookmarks bwscheduler bzip2 cairo calendar caps captury cdaudio cdda cddb cdio cdr chm chroot cleartype client clucene connectionstatus consolekit contactnotes corefonts cracklib crypt css cups curl cxx daap dbus dc1394 designer-plugin dga dhcp dirac directfb disk-partition djvu doc downloadorder dri dts dv dvb dvd dvdnav dvdr dvdread dynamic ebook eigen embedded enca encode eselect examples exceptions exif expat extensions extras faac faad fastcgi fasteap fbcon festival ffmpeg fftw firefox flac flite fluidsynth fontconfig fortran fts3 gallium gcj gcrypt gdbm gecko geoip geolocation gif git glib glitz gmm gnutls google-gadgets gphoto2 gps graphite gsl gsm gstreamer gtk gtkhtml gtkstyle hal handbook highlight history hpn htmlhandbook httpd hyperestraier iconv icu id3tag idn ieee1394 ilbc imagemagick imlib indi infowidget inotify iodbc ipfilter ipod ipv6 ipw3945 jabber jadetex java javascript jingle joystick jpeg juju kate kdcraw kde kdehiddenvisibility kerberos kipi kontact kross ktts lame laptop lastfm lcms ldap lensfun libass libcaca libgcrypt libnl libnotify libproxy libsamplerate libsysfs libtiger libvirtd live lm_sensors logviewer lua lzma mad matroska mediaplayer melt memcache messenger midi mikmod mjpeg mmap mmx mng modplug mono moonlight motif mp3 mp3tunes mp4 mpeg mplayer msn mudflap multilib multimedia musepack musicbrainz mysql ncurses nepomuk netapi network network-cron nfsv3 nfsv4 nls nova nowlistening npp nptl nsplugin ntlm objc ocamlopt odbc odk ogg openexr opengl openmp optimized-qmake otr pam parcheck pcap pcre pdf phonon physfs pipes plasma plugins plugins-symlink pm-utils png policykit poppler-data portaudio postproc ppds privacy ps pstoedit python qalculate qemu qemu-ifup qt3support qt4 quicktime raptor rar raw rdesktop rdp rdpusb readline redeyes redland rss rtc rtsp ruby rubytests samba sasl scanfolder scanner schroedinger sdk sdl sdl-image search secure-delete semantic-desktop sensord server sesame2 sftp sha512 shine shm shout skins smbclient smbsharemodes smi solver speex spell sql sqlite sqlite3 srtp sse sse2 ssl ssse3 startup-notification statistics stats stream subversion suid svg sysfs syslog taglib tcpd templates texteffect theora threads threadsafe thumbnail thumbnails tidy tiff timidity tk tools tordns translator tremor truetype tunepimp twolame udev unicode unzip upnp urandom urlpicpreview usb utempter utils v4l vcd vcdinfo vcdx vde vhook video vim-syntax virtuoso visualization vlm vnc vorbis wav webdav-neon webinterface webkit webpresence websockets wifi winpopup wma-fixed wmf wps wv2 x264 xanim xattr xcb xcomposite xine xml xmlpatterns xmp xorg xosd xpdf-headers xprint xscreensaver xslt xulrunner xv xvid xvmc yenc zip zlib zoran zrtp zvbi" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias asis auth_basic auth_digest authn_alias authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cern_meta charset_lite dav dav_fs dav_lock dbd deflate dir disk_cache dumpio env expires ext_filter file_cache filter headers ident imagemap include info log_config log_forensic logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_ftp proxy_http rewrite setenvif speling status substitute unique_id userdir usertrack version vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" QEMU_SOFTMMU_TARGETS="i386 x86_64" QEMU_USER_TARGETS="i386 x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 4 Rémi Cardona gentoo-dev 2010-05-19 08:21:28 UTC
Could you please attach your xorg.conf, Xorg.0.log and full dmesg output after the first crash on a fresh boot?

Thanks
Comment 5 lxg 2010-05-19 19:49:45 UTC
Created attachment 232141 [details]
dmesg after X crash
Comment 6 lxg 2010-05-19 19:50:17 UTC
Created attachment 232143 [details]
Xorg.0.log after X crash
Comment 7 lxg 2010-05-19 19:54:30 UTC
Reverted to 1.8.1 to reproduce crashes and generate requested files (see attachments).

I do not have an xorg.conf, I only have /etc/X11/xorg.conf.d/10-evdev.conf for input devices -- slightly modified from the shipped one:

diff 10-evdev.conf ._cfg0000_10-evdev.conf 
19,22d18
<         Option "XkbLayout" "de"
<       Option "XkbModel" "pc104"
<       Option "XkbVariant" "sundeadkeys"
<         Option "XkbOptions" "terminate:ctrl_alt_bksp"
Comment 8 Jean-Pierre de la Croix (jdelacroix) 2010-05-23 17:20:52 UTC
*** Bug 320629 has been marked as a duplicate of this bug. ***
Comment 9 Guillaume Ayoub 2010-05-26 10:46:57 UTC
Same problem appears here, with GDM/Gnome. The bug only happens when I use gnome-shell instead of metacity, this is why no Gnome user report about that bug.

The screen *often* (about 1/3 times) goes blank at startup (just after launching gnome-shell) or after hibernation. It *rarely* happens (about once or twice a week) when creating or un-minimizing windows.

As said in Bug 320629, I too think that this is related to some complex compositing effects (as found in gnome-shell or kwin), as I can’t reproduce the bug with metacity (even with compositing enabled, but the compositing effects in metacity are *really* simple).

No problem with 1.8.0.

My xorg.0.log is much more explicit than the one given here, I attach it too. The backtrace is listing libdri2 and libglx, this definitely sounds like a bug of compositing effects rendered with OpenGL.

I’m using the xf86-video-intel driver, so this is not an ATI-related bug.

Hope it helps…
Comment 10 Guillaume Ayoub 2010-05-26 10:48:03 UTC
Created attachment 232981 [details]
Xorg.0.log after crash, with backtrace
Comment 11 Rémi Cardona gentoo-dev 2010-06-10 21:16:36 UTC
Could you try with 1.8.1.901? It contains fixes for a couple regressions, maybe this one was addressed.

Thanks
Comment 12 Guillaume Ayoub 2010-06-12 00:07:00 UTC
(In reply to comment #11)
> Could you try with 1.8.1.901? It contains fixes for a couple regressions, maybe
> this one was addressed.

After one day with 1.8.1.901, everything seems to be OK for me. I didn’t manage to reproduce this bug. I will give some news in a couple of days.

KDE users, we are waiting for good news from you too!
Comment 13 Marco Napetti 2010-06-12 15:09:01 UTC
I still have this problem with all >x11-base/xorg-server-1.8.0 (including 1.8.1.901).
X crashes randomly also when a notification appears.
I'm using kde 4.4.4 with opensource radeon drivers.

emerge --info:
Portage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34-gentoo x86_64)
=================================================================
System uname: Linux-2.6.34-gentoo-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_5600+-with-gentoo-2.0.1
Timestamp of tree: Fri, 11 Jun 2010 20:00:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA skype-eula dlj-1.1 PUEL"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -pipe -O2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"                                                                                                                                             
CXXFLAGS="-march=native -pipe -O2"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps=y"
FEATURES="assume-digests candy distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="it_IT.UTF-8"
LC_ALL="it_IT.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="it"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib acl addbookmarks alias alsa amd64 amr amuled apache2 audiofile autoreplace avi bash-completion berkdb bluetooth boost branding browserplugin bzip2 cdaudio cdb cdda cddb cdinstall cdio cdparanoia cdr cli clucene codecs connectionstatus contactnotes cpudetection cracklib crypt css ctype cups curl custom-optimization cxx dbus decibel dga divx4linux dlloader dri dts dv dvb dvd dvdr dvdread dxr3 edl emul-linux-x86 encode exif faad fam fame ffmpeg filter firefox flac fortran ftp gadu gcj gd gdbm ggi gif gimp gimpprint git glib glitz gpm groupwise gstreamer highlight history hou iconv idn ieee1394 imagemagick imap imlib inquisitio insecure-drivers ipv6 irc ithreads jack java javascript jingle jpeg jpeg2k kde lame lcd libcaca live lm_sensors lzo mad matroska messenger mikmod mime mjpeg mmx mmxext modules monkey moodbar mozbranding mozdevelop mozilla mp3 mp4 mpeg msn msword mudflap multilib musepack musicbrainz mysql mysqli mythtv ncurses nepomuk netmeeting nls nodrm nowin nowlistening nptl nptlonly nsplugin objc objc++ objc-gc offensive ogg oggvorbis opengl openmp pam pcre pdf perl phonon php plasma png ppds pppd python qt qt-copy qt3support qt4 quicktime rdesktop readline reflection remote replytolist samba sametime scanner sdl semantic-desktop sensord session slp smp sms sndfile sou sound speex spl sqlite sse sse2 ssl startup-notification statistics subversion svg sysfs taglib tcpd telepathy texteffect tga theora threads tidy tiff tokenizer translator truetype truetype-fonts unicode upnp usb v4l v4l2 vcd video videos visualization vnc vorbis wavpack webdav webpresence wifi winpopup wlm xanim xattr xcb xcomposite xine xinerama xml xmlpatterns xmlreader xmlwriter xorg xscreensaver xv xvid xvmc yahoo zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" DVB_CARDS="tda10046" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" RUBY_TARGETS="ruby18" SANE_BACKENDS="epson2" USERLAND="GNU" VIDEO_CARDS="radeonhd radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 14 Guillaume Ayoub 2010-06-14 08:27:24 UTC
> After one day with 1.8.1.901, everything seems to be OK for me. I didn’t
> manage to reproduce this bug. I will give some news in a couple of days.

Well… After 2 lucky days, the bug finally happened twice this morning with xorg-server-1.8.1.901, Intel drivers and gnome-shell (one because of a notification, the other one after quitting hibernation).  So, still there for Gnome and KDE users (the 'Component' should be changed for this bug).
Comment 15 Hugo Mildenberger 2010-06-18 22:02:42 UTC
I encountered a very similar problem using xorg-server 1.8.1.901 and an ATI Radeon 9100 IGP on hardened x86, almost always when the address field in Konqueror opens a drop down list while compositing is enabled.  xorg-server-1.8.0 does not show this problem. 

 #9  <signal handler called>
 #10 0x517d8210 in DrawableGone (glxPriv=0x12b06288, xid=20971921)
     at glxext.c:133
 #11 0x1221cfaf in FreeResource (id=20971921, skipDeleteFuncType=0)
     at resource.c:560
 #12 0x517d5112 in DoDestroyDrawable (cl=<value optimized out>, 
     glxdrawable=20971921, type=1) at glxcmds.c:1275
 #13 0x517d80ab in __glXDispatch (client=0x126a10b0) at glxext.c:601
 #14 0x12200ced in Dispatch () at dispatch.c:439
 #15 0x121f64b5 in main (argc=10, argv=0x5ea4adc4, envp= Cannot access 
     memory at address 0x3e


I already added a detailed comment at https://bugzilla.redhat.com/show_bug.cgi?id=588845#c12 before finding this entry.


Bisecting xorg-server between these two revisions ended up with:

0460a76b9ae25fe26f683f0cbff1e4157287cf56 is the first bad commit commit 
0460a76b9ae25fe26f683f0cbff1e4157287cf56 
Author: Kristian Høgsberg <krh@bitplanet.net> 
Date: Fri Apr 16 05:55:33 2010 -0400 

glx: Let the resource system destroy pixmaps 

GLX pbuffers are implemented using a pixmap allocated by the server. 

With the change to DRI2 to track DRI2 drawables as resources, we need to make 
sure that every drawable we create a DRI2 drawable for has an XID. By using 
the XID of the pbuffer, the resource system will automatically reclaim the 
hidden pixmap and the DRI2 drawable when the pbuffer is destroyed or the client 
exits. 

Signed-off-by: Kristian Høgsberg <krh@bitplanet.net> 
Signed-off-by: Keith Packard <keithp@keithp.com> 
(cherry picked from commit 22da7aa9d743deee198aaf6df5d370a446db9763) :
040000 040000 47f59391028a3c792c3ea22a0eb65a65c9f414c4 
ac43336bcc8ee3545f1b673affc5d2121f9054c7 M glx

22da7aa9d743deee198aaf6df5d370a446db9763 is the actual commit id in gitweb.freedesktop.org.  Reverting this commit at least prevents the problem with xorg-server-1.8.1.901 from becoming manifest. 
Comment 16 Chuck Wegrzyn 2010-06-19 10:37:32 UTC
Like Hugo I had 1.8.1.901 running with an ATI card (5770). What I was seeing was "random" times when I would get vanquished back to the KDM login screen. I could be typing into the address bar on Chromium, and wham! What worked all the time was when I minimized a window to the task bar. When I clicked the window to restore it, wham! I found this way to be very consistent.
Comment 17 Jonathan Callen (RETIRED) gentoo-dev 2010-06-20 01:31:11 UTC
*** Bug 324647 has been marked as a duplicate of this bug. ***
Comment 18 Guillaume Ayoub 2010-06-20 08:31:41 UTC
(In reply to comment #15)
> [...]
> 22da7aa9d743deee198aaf6df5d370a446db9763 is the actual commit id in
> gitweb.freedesktop.org.  Reverting this commit at least prevents the problem
> with xorg-server-1.8.1.901 from becoming manifest. 

Reverting 22da7aa with xorg-server-1.8.1.901 fixed the bug for me too.
Comment 19 Hugo Mildenberger 2010-06-20 11:11:18 UTC
There seems to already a very similar bug report at https://bugs.freedesktop.org/show_bug.cgi?id=28181.

Could someone please paste that link into the URL field above and also reopen this bug, as it is neither "resolved" nor needs so much more info here. 
Comment 20 lxg 2010-06-20 11:17:54 UTC
added URL and reopened as per #19.
Comment 21 Guillaume Ayoub 2010-06-20 15:03:20 UTC
(In reply to comment #19)
> There seems to already a very similar bug report at
> https://bugs.freedesktop.org/show_bug.cgi?id=28181.
> 
> Could someone please paste that link into the URL field above and also reopen
> this bug, as it is neither "resolved" nor needs so much more info here. 

That’s right, it seems to be the same bug. But I’m affected by this bug too with Intel drivers and gnome-shell (same causes, same effects, same backtraces).

As far as I can test and as Hugo proposed, this bug is caused by the commit 22da7aa in xorg-server. Reverting this commit avoids crashes. This is not only related to KDE and ATI.

I can post some words upstream if needed.
Comment 22 lxg 2010-06-22 21:40:56 UTC
I can confirm that it works stable with xorg-server-1.8.1.901. Running for two days now without a crash.
Comment 23 Hugo Mildenberger 2010-06-23 10:22:48 UTC
(In reply to comment #22)
> I can confirm that it works stable with xorg-server-1.8.1.901. 
> Running for two days now without a crash.
 
With Compositing via OpenGL still enabled? I suppose that there is double free involved occures semi-randomly, id est depending on the course of user actions and also on the state of running programs, e.g. the contents of konqueror's address history and which address you type. I tried to evaluate this hypothesis running X under control of valgrind-3.5.0, but valgrind's memcheck constantly crashed. Compiling xorg-server with --enable-debug led to a scrambled xorg.0.log plus something what what amounted to a system crash. Besides from the question, what ISDN could have to do with glx related traces, configuring xorg by --with-dtrace doesn't even compile, because dtrace segfaults while called from make. Does somebody has an idea what else could be used? 
Comment 24 lxg 2010-06-23 18:18:13 UTC
(In reply to comment #23)
> With Compositing via OpenGL still enabled?

Yup. Btw, I forgot to mention that I switched to KMS recently (after the 1.8.1 issue and reverting back to 1.8.0).
Comment 25 Hugo Mildenberger 2010-06-23 20:49:29 UTC
(In reply to comment #24)
> > With Compositing via OpenGL still enabled?

> Yup. Btw, I forgot to mention that I switched to KMS recently (after the 1.8.1
> issue and reverting back to 1.8.0).
> 
Well, a freedesktop bugzilla commentor reported that for some reason these versions are working slow, but else correct when using KMS instead of UMS. The related Redhat bugzilla entry mentions that "1.8.0-6 works flawlessly, 1.8.0-7 crashes (any newer version, too)". Regrettably these versions aren't tagged as such in the git repository.
Comment 26 Marco Napetti 2010-06-27 12:12:18 UTC
Still having the same problem, also with x11-base/xorg-server-1.8.1.902
This time xorg crashed few seconds after login, the first time an application has requested to open a wallet...
Comment 27 Rémi Cardona gentoo-dev 2010-06-27 21:29:20 UTC
I've had similar crashes with a kernel close to yours. Could you try with the final release of .34? If that doesn't work, could you give the latest .35_rc a try?

Thanks a lot
Comment 28 Marco Napetti 2010-06-28 11:53:34 UTC
Actually I'm using sys-kernel/gentoo-sources-2.6.34-r1, I'll test with a 2.6.35 kernel ASAP
Comment 29 Marco Napetti 2010-06-29 11:46:27 UTC
The problem is still the same using sys-kernel/git-sources-2.6.35_rc3-r3
Comment 30 Marco Napetti 2010-06-29 11:47:49 UTC
(In reply to comment #29)
> The problem is still the same using sys-kernel/git-sources-2.6.35_rc3-r3
> 

I'm using sys-kernel/git-sources-2.6.35_rc3-r2, sorry for the error...
Comment 31 Marco Napetti 2010-06-29 19:04:51 UTC
Created attachment 236959 [details]
dmesg after boot

After upgrading to sys-kernel/git-sources-2.6.35_rc3-r3 Xorg doesn't start at all (I tested with both x11-base/xorg-server-1.8.0 and x11-base/xorg-server-1.8.1.902).
Comment 32 Chí-Thanh Christopher Nguyễn gentoo-dev 2010-06-29 20:08:59 UTC
(In reply to comment #31)
Using the old fb drivers such as vesafb, uvesafb, radeonfb, vga16fb, ... will lead to problems with modern X.
Comment 33 Guillaume Ayoub 2010-06-29 20:25:49 UTC
Reverting commit 22da7aa fixed the bug for me (Intel + gnome). It works with 1.8.1, 1.8.1.901 and 1.8.1.902. Here is the patch, to be applied with 'patch -R -p1 < xorg.patch' (little error when applying the patch on 902, but still works).

Can you test it with KDE?

Link to the commit: http://cgit.freedesktop.org/xorg/xserver/commit/?h=22da7aa
Comment 34 Guillaume Ayoub 2010-06-29 20:28:34 UTC
Created attachment 236971 [details, diff]
Xorg revert patch, reverting commit 22da7aa
Comment 35 Guillaume Ayoub 2010-06-29 20:31:27 UTC
Comment on attachment 236971 [details, diff]
Xorg revert patch, reverting commit 22da7aa

Warning: revert patch, apply it with 'patch -R'.
Comment 36 Jean-Pierre de la Croix (jdelacroix) 2010-06-29 20:53:36 UTC
(In reply to comment #32)
> (In reply to comment #31)
> Using the old fb drivers such as vesafb, uvesafb, radeonfb, vga16fb, ... will
> lead to problems with modern X.
> 

I can confirm that after removing uvesafb and switching to Radeon KMS, I no longer experience X crashes when using KDE and Kwin effects.

Using x11-base/xorg-server-1.8.1.902 and linux-2.6.34-gentoo-r1.
Comment 37 Marco Napetti 2010-06-30 22:40:18 UTC
Disabling vesafb and enabling Radeon KMS solved the problem for me too.
Maybe this should be checked into the ebuild?
Comment 38 Chuck Wegrzyn 2010-07-15 23:39:13 UTC
This is still a problem with 902.

Is there a fix for systems that don't use xorg.conf and don't spec a driver?
Comment 39 Chuck Wegrzyn 2010-07-20 23:26:46 UTC
Any one know what the status of this bug is?
Comment 40 Rémi Cardona gentoo-dev 2010-07-21 06:16:42 UTC
(In reply to comment #38)
> This is still a problem with 902.
> 
> Is there a fix for systems that don't use xorg.conf and don't spec a driver?

vesafb and other fb drivers are specified in your *kernel* config. Please take a look there and disable all of them.

Thanks
Comment 41 Chuck Wegrzyn 2010-07-30 21:33:00 UTC
This is still a problem with xorg-server 1.8.2!!!!!! WTF.

Comment 42 Matt 2010-08-10 14:42:00 UTC
Same problem here on 1.7.7-r1 with intel video card. X will crash on opening any kde application. non kde/qt apps seem just fine. I have disabled all framebuffer stuff in the kernel and recompiled but the problem still exists. I can start kde/qt apps from the console and the will open and run just fine, its only when starting them from the menu that X crashes. Also just like others here if kwin's compositing is turned off everything works fine and there are no crashes.


ortage 2.1.8.3 (default/linux/amd64/10.0, gcc-4.4.4, glibc-2.11.2-r0, 2.6.35-gentoo x86_64)
=================================================================
System uname: Linux-2.6.35-gentoo-x86_64-Intel-R-_Core-TM-_i5_CPU_M_430_@_2.27GHz-with-gentoo-1.12.13
Timestamp of tree: Tue, 10 Aug 2010 11:45:02 +0000
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p37
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.65
sys-devel/automake:  1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -mtune=native -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -mtune=native -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.oregonstate.edu/ http://gentoo.chem.wisc.edu/gentoo/"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync21.us.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 apm bash-completion berkdb bzip2 cairo cdda cddb cdparanio cdparanoia cleartype cli consolekit corefonts cracklib crypt cscope css cups curl cxx dbus dri dvd dvdr encode exif faac faad fam fbcon ffmpeg flac fortran ftp gdbm gif gpm gzip hal iconv imlib ipod ipv6 jpeg jpeg2k kde laptop lzma mad mmx modules mp3 mp4 mplayer mudflap multilib musicbrainz mysql ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl phonon png policykit pppd python qt3support qt4 readline reflection rss sdl semantic-desktop session spell spl sqlite sqlite3 sse sse2 sse3 ssl svg sysfs syslog taglib tcpd thumbnail truetype type1 unicode vim-syntax vorbis x264 xcomposite xft xinerama xinetd xorg xrandr zlib" ALSA_CARDS="snd-hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev mouse keyboard synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" QEMU_SOFTMMU_TARGETS="arm i386 mips mips64 mipsel mips64el x86_64" QEMU_USER_TARGETS="arm i386 mips mips64 mipsel mips64el x86_64" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS